Subject: bug#4147: 23.1.50: Info-search command strange behaviour

From: Jamie Lokier <[email-masked]>
Date: Sat, 15 Aug 2009 04:49:57 +0100

In GNU Emacs 23.1.50.1 (i486-pc-linux-gnu, GTK+ Version 2.16.1)
 of 2009-07-31 on lansones, modified by Debian
 (emacs-snapshot package, version 1:20090730-1~jaunty1)
 (= the Ubuntu-PPA Jaunty package at the time of writing)

When searching through a manual with the 's' key, which invokes
Info-search, it has odd behaviour when the string isn't found.

Firstly, sometimes it shows the usual message about not finding the
string, but moves point forward by a few characters that have no
relationship with the search.  Point should remain in the same place.

Secondly, sometimes after entering the search regex, instead of
searching it says Wrong type argument: stringp, nil.

Here's how I can repeat it:

Start Emacs with no customisation:
    emacs -nw -Q

Invoke Info, go to the directory:
    C-h i

Search:
    s blahblah RET
    => Says it can't find it, and point does not move.

Go to the Emacs manual:
    m Emacs (emacs-snapshot) RET

Search:
    s blahblah RET
    => Says it can't find it, but moves point forward a few characters.

Go back to the Info directory:
    d

Search:
    s blahblah RET
    => Says "Wrong type argument: stringp, nil"

That's all.  It was the point moving that I found particularly odd,
when searching repeatedly for a term.  First point moved as expected
with each "s RET" sequence, but then it carried on moving after there
were no more occurrences which was confusing.  I noticed the error
after returning to the Info directory following that.

Thanks,
-- Jamie